Summary:	Utilities belonging to the Reiser filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos ReiserFS
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою ReiserFS
Summary(ru.UTF-8):	Утилиты для работы с файловой системой ReiserFS
Name:		reiserfsprogs
Version:	3.6.24
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
#Source0:	http://www.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.gz
Source0:	https://www.kernel.org/pub/linux/kernel/people/jeffm/reiserfsprogs/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	66787380fb418ff7d88a23e47cda7af6
Patch0:		%{name}-am.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libuuid-devel
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	reiserfs-utils
Conflicts:	progsreiserfs < 0.3.1-1.rc8.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiserfs), sprawdzania i
naprawiania błędów (reiserfsck) oraz zmiany wielkości
(resize_reiserfs) systemu plików ReiserFS.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos ReiserFS.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой ReiserFS.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою ReiserFS.

%prep
%setup -q
%patch0 -p1

# hack, otherwise configure failed
sed -i -e 's#AM_ENABLE_SHARED##g' configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifarch alpha ppc ppc64 sparc sparcv9 sparc64
	ac_cv_header_asm_unaligned=no
%endif

%{__make} all \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog README
%attr(755,root,root) %{_sbindir}/debugreiserfs
%attr(755,root,root) %{_sbindir}/fsck.reiserfs
%attr(755,root,root) %{_sbindir}/mkfs.reiserfs
%attr(755,root,root) %{_sbindir}/mkreiserfs
%attr(755,root,root) %{_sbindir}/reiserfsck
%attr(755,root,root) %{_sbindir}/reiserfstune
%attr(755,root,root) %{_sbindir}/resize_reiserfs
%{_mandir}/man8/debugreiserfs.8*
%{_mandir}/man8/mkreiserfs.8*
%{_mandir}/man8/reiserfsck.8*
%{_mandir}/man8/reiserfstune.8*
%{_mandir}/man8/resize_reiserfs.8*
%changelog
* Fri Sep 26 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/reiserfsprogs.git;a=log;h=master

* Sat Sep 20 2014 Marcin Krol <hawk@tld-linux.org> 739b050
- updated to 3.6.24

* Mon Mar 25 2013 Jakub Bogusz <qboosh@pld-linux.org> d88f338
- updated to 3.6.22
- added am patch (fixes build with automake 1.13)

* Sat Jan 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 7f823ce
- outdated

* Sat Jan 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c9db97
- bigendian patch obsolete

* Sat Jan 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aa8827
- up to 3.6.21

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 81e8274
- BR sed 4

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8604c2e
- rel 3; hack

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1627619
- release 2

* Sat Jun 02 2007 areq <areq@pld-linux.org> 693dce7
- %{__make} -j1 install

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2966ce0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9014767
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 6f0d052
- Conflicts: progsreiserfs < 0.3.1-1.rc.8.5 (fsck,mkfs,resizefs,tunefs moved here)

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 9ea5eb8
- avoid <asm/unaligned.h> on alpha too

* Wed Nov 15 2006 sparky <sparky@pld-linux.org> 49fb908
- added bigendian-fix patch, now builds on ppc

* Wed Nov 15 2006 sparky <sparky@pld-linux.org> 8d91a50
- fix compilation on bigendians

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 56fc134
- use own {get,put}_unaligned defines instead of <asm/unaligned.h> on ppc/sparc

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 3f016a9
- noticed conflict with progsreiserfs (I'd remove these utils from progsreiserfs)

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 1910543
- updated to 3.6.20, removed outdated unaligned patch
- BR: libuuid-devel

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 859087a
- should be obsolete

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 8a90d51
- orphaned, outdated

